package cz.muni.fi.lasaris.sbms.api.auth;

import javax.ws.rs.container.ContainerRequestContext;

public interface AuthProvider {

	boolean authenticate(String user, String password, ContainerRequestContext requestContext);

	boolean authorize(String user, String role, ContainerRequestContext requestContext);

}
